import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.federation.configuration({
serviceId: "<id>",
requestBody: {},
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.federation.configuration(service_id: '<id>')
unless res.federation_configuration_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.Federation.Configuration(ctx, "<id>", nil)
if err != nil {
log.Fatal(err)
}
if res.FederationConfigurationResponse != nil {
// handle response
}
}curl --request POST \
--url https://us.authlete.com/api/{serviceId}/federation/configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityTypes": []
}
'{
"resultCode": "<string>",
"resultMessage": "<string>",
"action": "OK",
"responseContent": "<string>"
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Process Entity Configuration Request
This API gathers the federation configuration about a service. The authorization server implementation should retrieve the value of the action response parameter from the API response and take the following steps according to the value.
import { Authlete } from "@authlete/typescript-sdk";
const authlete = new Authlete({
bearer: process.env["AUTHLETE_BEARER"] ?? "",
});
async function run() {
const result = await authlete.federation.configuration({
serviceId: "<id>",
requestBody: {},
});
console.log(result);
}
run();require 'authlete_ruby_sdk'
Models = ::Authlete::Models
s = ::Authlete::Client.new(
bearer: '<YOUR_BEARER_TOKEN_HERE>'
)
res = s.federation.configuration(service_id: '<id>')
unless res.federation_configuration_response.nil?
# handle response
endpackage main
import(
"context"
"os"
authlete "github.com/authlete/authlete-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := authlete.New(
authlete.WithSecurity(os.Getenv("AUTHLETE_BEARER")),
)
res, err := s.Federation.Configuration(ctx, "<id>", nil)
if err != nil {
log.Fatal(err)
}
if res.FederationConfigurationResponse != nil {
// handle response
}
}curl --request POST \
--url https://us.authlete.com/api/{serviceId}/federation/configuration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityTypes": []
}
'{
"resultCode": "<string>",
"resultMessage": "<string>",
"action": "OK",
"responseContent": "<string>"
}{
"resultCode": "A001201",
"resultMessage": "[A001201] /auth/authorization, TLS must be used."
}{
"resultCode": "A001202",
"resultMessage": "[A001202] /auth/authorization, Authorization header is missing."
}{
"resultCode": "A001215",
"resultMessage": "[A001215] /auth/authorization, The client (ID = 26837717140341) is locked."
}{
"resultCode": "A001311",
"resultMessage": "[A001311] /auth/authorization, Too many requests, retry after 1 seconds. (Entity: 23769878923/87122303)"
}{
"resultCode": "A001101",
"resultMessage": "[A001101] /auth/authorization, Authlete Server error."
}Authorizations
Authenticate every request with a Service Access Token or Organization Token.
Set the token value in the Authorization: Bearer <token> header.
Service Access Token: Scoped to a single service. Use when automating service-level configuration or runtime flows.
Organization Token: Scoped to the organization; inherits permissions across services. Use for org-wide automation or when managing multiple services programmatically.
Both token types are issued by the Authlete console or provisioning APIs.
Path Parameters
A service ID.
Body
The entity types for which the entity configuration is requested.
When omitted or empty, it defaults to OPENID_PROVIDER only
(backward compatibility). Unsupported entity types are ignored.
OPENID_CREDENTIAL_ISSUER requires the Verifiable Credentials
feature (Authlete 3.0+).
The entity type, as defined in OpenID Federation 1.0.
OPENID_RELYING_PARTY, OPENID_PROVIDER, OAUTH_AUTHORIZATION_SERVER, OAUTH_CLIENT, OAUTH_RESOURCE, FEDERATION_ENTITY, OPENID_CREDENTIAL_ISSUER Response
Federation configuration retrieved successfully
The code which represents the result of the API call.
A short message which explains the result of the API call.
The next action that the authorization server implementation should take.
OK, NOT_FOUND, INTERNAL_SERVER_ERROR The content that the authorization server implementation is to return to the client application.
Its format varies depending on the value of action parameter.